Summary:	Hatchling plugin to read project dependencies from requirements.txt
Name:		python3-hatch-requirements-txt
Version:	0.4.1
Release:	1
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/hatch-requirements-txt/
Source0:	https://files.pythonhosted.org/packages/source/h/hatch_requirements_txt/hatch_requirements_txt-%{version}.tar.gz
# Source0-md5:	bb741f92af054815f851f0d9333dd51b
URL:		https://github.com/repo-helper/hatch-requirements-txt
BuildRequires:	python3 >= 1:3.6.1
BuildRequires:	python3-build
BuildRequires:	python3-hatchling
BuildRequires:	python3-installer
BuildRequires:	python3-modules >= 1:3.6.1
BuildRequires:	rpmbuild(macros) >= 2.044
Requires:	python3-modules >= 1:3.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Hatchling plugin to read project dependencies from requirements.txt.

%prep
%setup -q -n hatch_requirements_txt-%{version}

%build
%py3_build_pyproject

%install
rm -rf $RPM_BUILD_ROOT

%py3_install_pyproject

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.rst
%dir %{py3_sitescriptdir}/hatch_requirements_txt
%{py3_sitescriptdir}/hatch_requirements_txt/*.py
%{py3_sitescriptdir}/hatch_requirements_txt/__pycache__
%{py3_sitescriptdir}/hatch_requirements_txt/py.typed
%{py3_sitescriptdir}/hatch_requirements_txt-%{version}.dist-info
%changelog
* Sat Apr 19 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-hatch-requirements-txt.git;a=log;h=master

* Sat Apr 19 2025 Jan Palus <atler@pld-linux.org> 1d86ab3
- new

